
package com.tmerclub.cloud.user.bo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 跳转链接为分类时候的link
 * @author TRACK
 */
public class CategoryLinkBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "分类名")
    private String label;

    @Schema(description = "分类id")
    private Long value;

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Long getValue() {
        return value;
    }

    public void setValue(Long value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return "CategoryLinkBO{" +
                "label='" + label + '\'' +
                ", value='" + value + '\'' +
                '}';
    }
}
